module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={action_name=[[attack2]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0,
		},
		[2]={args={},func_name=[[MagcAnimStart]],start_time=0,},
		[3]={
			args={
				excutor=[[atkobj]],
				face_to=[[look_at]],
				pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				time=0.5,
			},
			func_name=[[FaceTo]],
			start_time=0,
		},
		[4]={
			args={
				alive_time=2,
				bind_type=[[pos]],
				body_pos=[[foot]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_316/Prefabs/316_attack2_1.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=0,
		},
		[5]={
			args={
				alive_time=2,
				bind_type=[[pos]],
				body_pos=[[foot]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_316/Prefabs/316_attack2_2.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=0,
		},
		[6]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[7]={
			args={sound_path=[[Magic/sound_magic_31602_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0,
		},
		[8]={
			args={
				alive_time=0.5,
				begin_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				delay_time=0,
				ease_type=[[Linear]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_316/Prefabs/316_fly2.prefab]],
					preload=true,
				},
				end_pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=8,},
				excutor=[[atkobj]],
				move_time=0.5,
			},
			func_name=[[ShootEffect]],
			start_time=1.5,
		},
		[9]={
			args={
				down_time=0.5,
				excutor=[[vicobjs]],
				hit_speed=6,
				hit_time=0.4,
				lie_time=0.1,
				up_speed=6,
				up_time=0.2,
			},
			func_name=[[FloatHit]],
			start_time=1.8,
		},
		[10]={
			args={
				alive_time=0.15,
				ease_hide_time=0.05,
				ease_show_time=0,
				excutor=[[vicobjs]],
				mat_path=[[Material/effect_Fresnel_zise.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=1.8,
		},
		[11]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=1.8,
		},
		[12]={
			args={
				alive_time=1,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_316/Prefabs/316_hit2.prefab]],
					preload=true,
				},
				excutor=[[vicobjs]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=1.8,
		},
		[13]={
			args={shake_dis=0.1,shake_rate=15,shake_time=0.3,},
			func_name=[[ShakeScreen]],
			start_time=1.8,
		},
		[14]={args={},func_name=[[MagcAnimEnd]],start_time=2.2,},
		[15]={args={},func_name=[[End]],start_time=2.3,},
	},
	group_cmds={},
	magic_anim_end_time=2.2,
	magic_anim_start_time=0,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_316/Prefabs/316_attack2_1.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_316/Prefabs/316_attack2_2.prefab]],
		[3]=[[Effect/Magic/magic_eff_new_316/Prefabs/316_fly2.prefab]],
		[4]=[[Effect/Magic/magic_eff_new_316/Prefabs/316_hit2.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
